ECHO=OFF
cls
echo   ***************************************************************
echo   ***************************************************************
echo   ***************************************************************
echo   *                                                             *
echo   * This patch allows VREPAIR to function on COMPAQ's           *
echo   * hard drives with more than 17 sectors per track.            *
echo   *                                                             *
echo   * Syntax is.....                                              *
echo   * FIXVRPR [D:\]filename xx (Where filename is VREPAIR.EXE)    *
echo   *                          (Where xx is drive type to patch)  *
echo   *                                                             *
echo   * Patchable drive types are 35, 38, 45, 47                    *
echo   *                                                             *
echo   ***************************************************************
echo   ***************************************************************
echo   ***************************************************************
pause
cls
rem %1 is the filename to patch
rem %2 is the the drive type to patch

if %2==35 goto TYPE35
if %2==38 goto TYPE38
if %2==45 goto TYPE45
if %2==47 goto TYPE47
goto error

:TYPE35
echo   **************************************
ECHO   * Patch beginning for 130 MEG HD     *
echo   * Press any key to continue or hit   *
echo   * CTRL+C to abort.                   *
echo   **************************************
pause
fixvr %1 0x8AC1241F 0x8AC1243F
fixvr %1 0xFE22 0xFE44
fixvr %1 0xEE22 0xEE44
fixvr %1 0x3C12 0x3C23
fixvr %1 0xB911 0xB922
GOTO END

:TYPE38
echo   **************************************
ECHO   * Patch beginning for 300 MEG HD     *
echo   * Press any key to continue or hit   *
echo   * CTRL+C to abort.                   *
echo   **************************************
pause
fixvr %1 0x8AC1241F 0x8AC1243F
fixvr %1 0xFE22 0xFE7E
fixvr %1 0xEE22 0xEE7E
fixvr %1 0x3C12 0x3C40
fixvr %1 0xB911 0xB93F
fixvr %1 0x8BC186C4B106D2 0x8BC186C4B106B8FB01
fixvr %1 0x0748A3 0x0748B8FB0190
fixvr %1 0x0448A3 0x0448B8FB0190
GOTO END




:TYPE45
echo   **************************************
ECHO   * Patch beginning for 100 MEG HD     *
echo   * Press any key to continue or hit   *
echo   * CTRL+C to abort.                   *
echo   **************************************
pause
fixvr %1 0x8AC1241F 0x8AC1243F
fixvr %1 0xFE22 0xFE42
fixvr %1 0xEE22 0xEE42
fixvr %1 0x3C12 0x3C22
fixvr %1 0xB911 0xB921
GOTO END

:TYPE47
echo   **************************************
ECHO   * Patch beginning for 60 MEG HD      *
echo   * Press any key to continue or hit   *
echo   * CTRL+C to abort.                   *
echo   **************************************
pause
fixvr %1 0x8AC1241F 0x8AC1243F
fixvr %1 0xFE22 0xFE32
fixvr %1 0xEE22 0xEE32
fixvr %1 0x3C12 0x3C20
fixvr %1 0xB911 0xB919
GOTO END

:error
echo   ***************************************************************
echo   * The drive type you specified does not match the patchable   * 
echo   * drive types or no drive type was specified.                 *
echo   ***************************************************************
goto exit

:end
echo   *************
ECHO   * ALL DONE! *
echo   *************
:exit
